com.independentsoft.exchange

## Class Post

- java.lang.Object
- - com.independentsoft.exchange.Item
  - - com.independentsoft.exchange.Post

-     public class Post
      extends Item

  Represents a post item in the Exchange store.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Post()` Initializes a new instance of the Post class.
    `Post(java.lang.String subject)` Initializes a new instance of the Post class.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getConversationIndex()` Gets a binary ID that represents the thread to which this message belongs.
    `java.lang.String` | `getConversationTopic()` Gets the conversation identifier.
    `Mailbox` | `getFrom()` Gets the address from which the post item was sent.
    `java.lang.String` | `getInternetMessageId()` Gets the Internet message identifier of an item.
    `java.util.Date` | `getPostedTime()` Gets the time that a PostItem was posted.
    `java.lang.String` | `getReferences()` Gets the Usenet header that is used to associate replies with the original messages.
    `Mailbox` | `getSender()` Gets the sender of an item.
    `boolean` | `isRead()` Gets whether a message has been read.
    `void` | `setFrom(Mailbox from)` Sets the address from which the post item was sent.
    `void` | `setRead(boolean isRead)` Sets whether a message has been read.
    `void` | `setReferences(java.lang.String references)` Sets the Usenet header that is used to associate replies with the original messages.
    `void` | `setSender(Mailbox sender)` Sets the sender of an item.
    `java.lang.String` | `toString()` Converts the value of the current Post object to its equivalent string representation.

    - ### Methods inherited from class com.independentsoft.exchange.Item

      `getArchiveTag, getAttachments, getBody, getBodyHtmlText, getBodyPlainText, getBodyRtf, getCategories, getComment, getConversationId, getCreatedTime, getCulture, getDisplayName, getEffectiveRights, getEntityExtractionResult, getEntryId, getExtendedProperties, getExtendedProperty, getFlag, getGroupingAction, getIconIndex, getImportance, getInstanceKey, getItemClass, getItemId, getLastModifiedTime, getLastModifierName, getMimeContent, getNextPredictedAction, getParentId, getPreview, getReminderDueBy, getReminderIsSet, getReminderMinutesBeforeStart, getRetentionDate, getRetentionTag, getRtfCompressed, getSearchKey, getSensitivity, getSize, getStoreEntryId, getSubject, getTextBody, getUniqueBody, getWebClientEditFormQueryString, getWebClientReadFormQueryString, hasAttachments, hasBlockedImages, isAssociated, isBlockStatus, isHidden, setArchiveTag, setBody, setBodyRtf, setCategories, setComment, setDisplayName, setEffectiveRights, setFlag, setHidden, setImportance, setItemClass, setMimeContent, setReminderDueBy, setReminderIsSet, setReminderMinutesBeforeStart, setRetentionDate, setRetentionTag, setRtfCompressed, setSensitivity, setSubject`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Post

          public Post()

      Initializes a new instance of the Post class.

    - #### Post

          public Post(java.lang.String subject)

      Initializes a new instance of the Post class.
      Parameters:
        `subject` - the subject

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Converts the value of the current Post object to its equivalent string representation.
      Overrides:
        `toString` in class `Item`
      Returns:
        the string

    - #### getConversationIndex

          public java.lang.String getConversationIndex()

      Gets a binary ID that represents the thread to which this message belongs.
      Returns:
        the conversation index

    - #### getConversationTopic

          public java.lang.String getConversationTopic()

      Gets the conversation identifier.
      Returns:
        the conversation topic

    - #### getFrom

          public Mailbox getFrom()

      Gets the address from which the post item was sent.
      Returns:
        the from

    - #### setFrom

          public void setFrom(Mailbox from)

      Sets the address from which the post item was sent.
      Parameters:
        `from` - the new from

    - #### getInternetMessageId

          public java.lang.String getInternetMessageId()

      Gets the Internet message identifier of an item.
      Returns:
        the internet message id

    - #### isRead

          public boolean isRead()

      Gets whether a message has been read.
      Returns:
        true, if is read

    - #### setRead

          public void setRead(boolean isRead)

      Sets whether a message has been read.
      Parameters:
        `isRead` - the new read

    - #### getPostedTime

          public java.util.Date getPostedTime()

      Gets the time that a PostItem was posted.
      Returns:
        the posted time

    - #### getReferences

          public java.lang.String getReferences()

      Gets the Usenet header that is used to associate replies with the original messages.
      Returns:
        the references

    - #### setReferences

          public void setReferences(java.lang.String references)

      Sets the Usenet header that is used to associate replies with the original messages.
      Parameters:
        `references` - the new references

    - #### getSender

          public Mailbox getSender()

      Gets the sender of an item.
      Returns:
        the sender

    - #### setSender

          public void setSender(Mailbox sender)

      Sets the sender of an item.
      Parameters:
        `sender` - the new sender